Subject: RE: [SIP] Session timer considered harmful (was RE: draft-ietf-si p-session- timer: refresh rate)

From: Steve Donovan <[email-masked]>
Date: Tue, 8 May 2001 12:14:28 -0400

-----Original Message-----
From: Sean Olson (EUS) [mailto:[email-masked]]
Sent: Tuesday, May 08, 2001 11:00 AM
To: 'Steve Donovan'; [email-masked]
Subject: RE: [SIP] Session timer considered harmful (was RE: draft-ietf-si
p-session- timer: refresh rate)

<snip>

> 
>2) We change the session-expires header to only support delta 
>times with a 
>granularity of minutes.  I think there is consensus that 
>session-expires 
>values of less than one minute are not needed.  

I don't see the need for this. While I think it really only 
makes sense to use delta values, for consistency I would allow 
both forms. Not allowing the absolute form doesn't help solve 
the smurf attack; disallowing small delta values does. 

SRD> Sorry, I wasn't clear.  I wasn't meaning to disallow absolute times,
just small delta values. 

SRD> So, to restate, the proposal is to change the delta time portion of the
session-timer header to support a granularity of minutes.  The absolute
timer portion would continue to be supported with no change.

---
Steven R. Donovan
Architect                           dynamicsoft                         
mailto:[email-masked]     5100 Tennyson Parkway
sip:[email-masked]    Plano, Texas 75025
tel:+1-972-473-5469                 http://www.dynamicsoft.com

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.